diff --git a/config/rootfiles/packages/frr b/config/rootfiles/packages/frr
index 8aafc7c6c..3733e5a1c 100644
--- a/config/rootfiles/packages/frr
+++ b/config/rootfiles/packages/frr
@@ -1,17 +1,12 @@
-#etc/frr
-etc/frr/bgpd.conf.sample
-etc/frr/bgpd.conf.sample2
-etc/frr/bgpd.conf.vnc.sample
-etc/frr/ospfd.conf.sample
-etc/frr/ripngd.conf.sample
-etc/frr/staticd.conf.sample
-etc/frr/vtysh.conf.sample
-etc/frr/zebra.conf.sample
 etc/rc.d/init.d/frr
-usr/bin/bgp_btoa
 usr/bin/vtysh
 #usr/include/frr
+#usr/include/frr/agg_table.h
+#usr/include/frr/assert.h
+#usr/include/frr/atomlist.h
 #usr/include/frr/bfd.h
+#usr/include/frr/bfdd
+#usr/include/frr/bfdd/bfddp_packet.h
 #usr/include/frr/bitfield.h
 #usr/include/frr/buffer.h
 #usr/include/frr/checksum.h
@@ -20,24 +15,29 @@ usr/bin/vtysh
 #usr/include/frr/command_match.h
 #usr/include/frr/compiler.h
 #usr/include/frr/csv.h
+#usr/include/frr/db.h
 #usr/include/frr/debug.h
+#usr/include/frr/defaults.h
 #usr/include/frr/distribute.h
 #usr/include/frr/eigrpd
 #usr/include/frr/eigrpd/eigrp_dump.h
 #usr/include/frr/eigrpd/eigrp_topology.h
 #usr/include/frr/eigrpd/eigrpd.h
-#usr/include/frr/event_counter.h
 #usr/include/frr/ferr.h
-#usr/include/frr/fifo.h
 #usr/include/frr/filter.h
 #usr/include/frr/freebsd-queue.h
 #usr/include/frr/frr_pthread.h
 #usr/include/frr/frratomic.h
+#usr/include/frr/frrcu.h
+#usr/include/frr/frrlua.h
+#usr/include/frr/frrscript.h
 #usr/include/frr/frrstr.h
 #usr/include/frr/getopt.h
 #usr/include/frr/graph.h
 #usr/include/frr/hash.h
 #usr/include/frr/hook.h
+#usr/include/frr/iana_afi.h
+#usr/include/frr/id_alloc.h
 #usr/include/frr/if.h
 #usr/include/frr/if_rmap.h
 #usr/include/frr/imsg.h
@@ -45,21 +45,29 @@ usr/bin/vtysh
 #usr/include/frr/jhash.h
 #usr/include/frr/json.h
 #usr/include/frr/keychain.h
+#usr/include/frr/ldp_sync.h
 #usr/include/frr/lib_errors.h
+#usr/include/frr/lib_vty.h
 #usr/include/frr/libfrr.h
+#usr/include/frr/libfrr_trace.h
 #usr/include/frr/libospf.h
+#usr/include/frr/link_state.h
 #usr/include/frr/linklist.h
 #usr/include/frr/log.h
-#usr/include/frr/logicalrouter.h
+#usr/include/frr/log_vty.h
 #usr/include/frr/md5.h
 #usr/include/frr/memory.h
-#usr/include/frr/memory_vty.h
+#usr/include/frr/mlag.h
 #usr/include/frr/module.h
 #usr/include/frr/monotime.h
 #usr/include/frr/mpls.h
 #usr/include/frr/network.h
 #usr/include/frr/nexthop.h
 #usr/include/frr/nexthop_group.h
+#usr/include/frr/nexthop_group_private.h
+#usr/include/frr/northbound.h
+#usr/include/frr/northbound_cli.h
+#usr/include/frr/northbound_db.h
 #usr/include/frr/ns.h
 #usr/include/frr/openbsd-queue.h
 #usr/include/frr/openbsd-tree.h
@@ -76,29 +84,39 @@ usr/bin/vtysh
 #usr/include/frr/ospfd/ospfd.h
 #usr/include/frr/pbr.h
 #usr/include/frr/plist.h
-#usr/include/frr/pqueue.h
 #usr/include/frr/prefix.h
+#usr/include/frr/printfrr.h
 #usr/include/frr/privs.h
 #usr/include/frr/ptm_lib.h
+#usr/include/frr/pullwr.h
 #usr/include/frr/pw.h
 #usr/include/frr/qobj.h
 #usr/include/frr/queue.h
+#usr/include/frr/resolver.h
 #usr/include/frr/ringbuf.h
 #usr/include/frr/route_types.h
 #usr/include/frr/routemap.h
+#usr/include/frr/routing_nb.h
 #usr/include/frr/sbuf.h
+#usr/include/frr/seqlock.h
 #usr/include/frr/sha256.h
 #usr/include/frr/sigevent.h
 #usr/include/frr/skiplist.h
+#usr/include/frr/smux.h
 #usr/include/frr/sockopt.h
 #usr/include/frr/sockunion.h
 #usr/include/frr/spf_backoff.h
 #usr/include/frr/srcdest_table.h
+#usr/include/frr/srte.h
+#usr/include/frr/srv6.h
 #usr/include/frr/stream.h
 #usr/include/frr/systemd.h
 #usr/include/frr/table.h
 #usr/include/frr/termtable.h
 #usr/include/frr/thread.h
+#usr/include/frr/trace.h
+#usr/include/frr/typerb.h
+#usr/include/frr/typesafe.h
 #usr/include/frr/vector.h
 #usr/include/frr/version.h
 #usr/include/frr/vlan.h
@@ -108,22 +126,78 @@ usr/bin/vtysh
 #usr/include/frr/vxlan.h
 #usr/include/frr/wheel.h
 #usr/include/frr/workqueue.h
-#usr/include/frr/zassert.h
+#usr/include/frr/xref.h
+#usr/include/frr/yang.h
+#usr/include/frr/yang_translator.h
+#usr/include/frr/yang_wrappers.h
 #usr/include/frr/zclient.h
 #usr/include/frr/zebra.h
-#usr/lib/libfrr.a
+#usr/include/frr/zlog.h
+#usr/include/frr/zlog_targets.h
+#usr/lib/frr
+#usr/lib/frr/modules
+#usr/lib/frr/modules/bgpd_bmp.la
+#usr/lib/frr/modules/bgpd_bmp.so
+#usr/lib/frr/modules/dplane_fpm_nl.la
+#usr/lib/frr/modules/dplane_fpm_nl.so
+#usr/lib/frr/modules/pathd_pcep.la
+#usr/lib/frr/modules/pathd_pcep.so
+#usr/lib/frr/modules/zebra_cumulus_mlag.la
+#usr/lib/frr/modules/zebra_cumulus_mlag.so
 #usr/lib/libfrr.la
 #usr/lib/libfrr.so
 usr/lib/libfrr.so.0
 usr/lib/libfrr.so.0.0.0
+#usr/lib/libfrrcares.la
+#usr/lib/libfrrcares.so
+usr/lib/libfrrcares.so.0
+usr/lib/libfrrcares.so.0.0.0
 usr/sbin/bgpd
+usr/sbin/fabricd
 usr/sbin/frr
 usr/sbin/frr-reload
 usr/sbin/frr-reload.py
+usr/sbin/frrcommon.sh
+usr/sbin/frrinit.sh
+usr/sbin/generate_support_bundle.py
 usr/sbin/ospfd
-usr/sbin/rfptest
+usr/sbin/pathd
 usr/sbin/ssd
 usr/sbin/staticd
+usr/sbin/vrrpd
 usr/sbin/watchfrr
+usr/sbin/watchfrr.sh
 usr/sbin/zebra
+#usr/share/yang
+#usr/share/yang/frr-bgp-bmp.yang
+#usr/share/yang/frr-bgp-common-multiprotocol.yang
+#usr/share/yang/frr-bgp-common-structure.yang
+#usr/share/yang/frr-bgp-common.yang
+#usr/share/yang/frr-bgp-filter.yang
+#usr/share/yang/frr-bgp-neighbor.yang
+#usr/share/yang/frr-bgp-peer-group.yang
+#usr/share/yang/frr-bgp-route-map.yang
+#usr/share/yang/frr-bgp-rpki.yang
+#usr/share/yang/frr-bgp-types.yang
+#usr/share/yang/frr-bgp.yang
+#usr/share/yang/frr-deviations-bgp-datacenter.yang
+#usr/share/yang/frr-filter.yang
+#usr/share/yang/frr-interface.yang
+#usr/share/yang/frr-module-translator.yang
+#usr/share/yang/frr-nexthop.yang
+#usr/share/yang/frr-ospf-route-map.yang
+#usr/share/yang/frr-ospf6-route-map.yang
+#usr/share/yang/frr-pathd.yang
+#usr/share/yang/frr-route-map.yang
+#usr/share/yang/frr-route-types.yang
+#usr/share/yang/frr-routing.yang
+#usr/share/yang/frr-staticd.yang
+#usr/share/yang/frr-test-module.yang
+#usr/share/yang/frr-vrf.yang
+#usr/share/yang/frr-vrrpd.yang
+#usr/share/yang/frr-zebra-route-map.yang
+#usr/share/yang/frr-zebra.yang
+#usr/share/yang/ietf-bgp-types.yang
+#usr/share/yang/ietf-interfaces.yang
+#usr/share/yang/ietf-routing-types.yang
 var/ipfire/backup/addons/includes/frr
diff --git a/lfs/frr b/lfs/frr
index cff23ff92..fa9238947 100644
--- a/lfs/frr
+++ b/lfs/frr
@@ -24,15 +24,15 @@
 
 include Config
 
-VER        = 6.0
+VER        = 8.0
 
-THISAPP    = frr-$(VER)
-DL_FILE    = $(THISAPP).tar.xz
+THISAPP    = frr-frr-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
 DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = frr
-PAK_VER    = 1
+PAK_VER    = 2
 
 DEPS       =
 
@@ -46,7 +46,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = d725c08e0093f58e5fcac0969c781813
+$(DL_FILE)_MD5 = 98e008c8cf717b4764827ed527c6e605
 
 install : $(TARGET)
 
@@ -80,6 +80,7 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
 	$(UPDATE_AUTOMAKE)
+	cd $(DIR_APP) && ./bootstrap.sh
 	cd $(DIR_APP) && ./configure \
 		--prefix=/usr \
 		--sysconfdir=/etc/frr \
@@ -101,7 +102,8 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 		--disable-pbrd \
 		--disable-pimd \
 		--disable-ripd \
-		--disable-ripngd
+		--disable-ripngd \
+		--disable-static
 	cd $(DIR_APP) && make $(MAKETUNING)
 	cd $(DIR_APP) && make install
 