diff --git a/config/rootfiles/packages/alsa b/config/rootfiles/packages/alsa
index a704727ec..5f1efc364 100644
--- a/config/rootfiles/packages/alsa
+++ b/config/rootfiles/packages/alsa
@@ -1,6 +1,7 @@
 etc/rc.d/init.d/alsa
 lib/firmware/aica_firmware.bin
 #lib/firmware/asihpi
+lib/firmware/asihpi/dsp2400.bin
 lib/firmware/asihpi/dsp5000.bin
 lib/firmware/asihpi/dsp6200.bin
 lib/firmware/asihpi/dsp6205.bin
@@ -8,15 +9,6 @@ lib/firmware/asihpi/dsp6400.bin
 lib/firmware/asihpi/dsp6600.bin
 lib/firmware/asihpi/dsp8700.bin
 lib/firmware/asihpi/dsp8900.bin
-#lib/firmware/cs46xx
-lib/firmware/cs46xx/ba1
-lib/firmware/cs46xx/cwc4630
-lib/firmware/cs46xx/cwcasync
-lib/firmware/cs46xx/cwcbinhack
-lib/firmware/cs46xx/cwcdma
-lib/firmware/cs46xx/cwcsnoop
-lib/firmware/ctefx-desktop.bin
-lib/firmware/ctefx-r3di.bin
 lib/firmware/digiface_firmware.bin
 lib/firmware/digiface_firmware_rev11.bin
 #lib/firmware/ea
@@ -105,12 +97,9 @@ lib/firmware/vx/x1_1_vp4.xlx
 lib/firmware/vx/x1_1_vx2.xlx
 lib/firmware/vx/x1_1_vxp.xlx
 lib/firmware/vx/x1_2_v22.xlx
-#lib/udev/rules.d/90-alsa-restore.rules
 usr/bin/aconnect
-usr/bin/alsabat
 usr/bin/alsaloop
 usr/bin/alsamixer
-usr/bin/alsatplg
 usr/bin/alsaucm
 usr/bin/amidi
 usr/bin/amixer
@@ -121,19 +110,19 @@ usr/bin/arecordmidi
 usr/bin/aseqdump
 usr/bin/aseqnet
 usr/bin/aserver
-usr/bin/axfer
 usr/bin/iecset
 usr/bin/speaker-test
 #usr/include/alsa
+#usr/include/alsa/alisp.h
 #usr/include/alsa/asoundef.h
 #usr/include/alsa/asoundlib.h
 #usr/include/alsa/conf.h
 #usr/include/alsa/control.h
 #usr/include/alsa/control_external.h
-#usr/include/alsa/control_plugin.h
 #usr/include/alsa/error.h
 #usr/include/alsa/global.h
 #usr/include/alsa/hwdep.h
+#usr/include/alsa/iatomic.h
 #usr/include/alsa/input.h
 #usr/include/alsa/mixer.h
 #usr/include/alsa/mixer_abst.h
@@ -151,39 +140,31 @@ usr/bin/speaker-test
 #usr/include/alsa/seq_midi_event.h
 #usr/include/alsa/seqmid.h
 #usr/include/alsa/sound
-#usr/include/alsa/sound/asoc.h
 #usr/include/alsa/sound/asound_fm.h
 #usr/include/alsa/sound/emu10k1.h
 #usr/include/alsa/sound/hdsp.h
 usr/include/alsa/sound/hdspm.h
 #usr/include/alsa/sound/sb16_csp.h
 #usr/include/alsa/sound/sscape_ioctl.h
-#usr/include/alsa/sound/tlv.h
 #usr/include/alsa/sound/type_compat.h
-#usr/include/alsa/sound/uapi
-#usr/include/alsa/sound/uapi/asoc.h
-#usr/include/alsa/sound/uapi/asound_fm.h
-#usr/include/alsa/sound/uapi/emu10k1.h
-#usr/include/alsa/sound/uapi/hdsp.h
-#usr/include/alsa/sound/uapi/hdspm.h
-#usr/include/alsa/sound/uapi/sb16_csp.h
-#usr/include/alsa/sound/uapi/sscape_ioctl.h
-#usr/include/alsa/sound/uapi/tlv.h
 #usr/include/alsa/timer.h
-#usr/include/alsa/topology.h
 #usr/include/alsa/use-case.h
 #usr/include/alsa/version.h
-#usr/include/asoundlib.h
 #usr/include/sys/asoundlib.h
+#usr/lib/alsa-lib
+#usr/lib/alsa-lib/smixer
+#usr/lib/alsa-lib/smixer/smixer-ac97.la
+usr/lib/alsa-lib/smixer/smixer-ac97.so
+#usr/lib/alsa-lib/smixer/smixer-hda.la
+usr/lib/alsa-lib/smixer/smixer-hda.so
+#usr/lib/alsa-lib/smixer/smixer-python.la
+#usr/lib/alsa-lib/smixer/smixer-python.so
+#usr/lib/alsa-lib/smixer/smixer-sbase.la
+usr/lib/alsa-lib/smixer/smixer-sbase.so
 #usr/lib/libasound.la
 #usr/lib/libasound.so
 usr/lib/libasound.so.2
 usr/lib/libasound.so.2.0.0
-#usr/lib/libatopology.la
-#usr/lib/libatopology.so
-usr/lib/libatopology.so.2
-usr/lib/libatopology.so.2.0.0
-#usr/lib/pkgconfig/alsa-topology.pc
 #usr/lib/pkgconfig/alsa.pc
 usr/local/share/alsa
 #usr/local/share/alsa/firmware
@@ -260,13 +241,13 @@ usr/local/share/alsa/firmware/hdsploader/rpm_firmware.bin
 #usr/local/share/alsa/firmware/vxloader/x1_1_vx2.rbt
 #usr/local/share/alsa/firmware/vxloader/x1_1_vxp.rbt
 #usr/local/share/alsa/firmware/vxloader/x1_2_v22.rbt
-usr/sbin/alsa-info.sh
-usr/sbin/alsabat-test.sh
 usr/sbin/alsaconf
 usr/sbin/alsactl
 #usr/share/aclocal/alsa.m4
 usr/share/alsa
 #usr/share/alsa/alsa.conf
+#usr/share/alsa/alsa.conf.d
+usr/share/alsa/alsa.conf.d/README
 #usr/share/alsa/cards
 #usr/share/alsa/cards/AACI.conf
 #usr/share/alsa/cards/ATIIXP-MODEM.conf
@@ -297,13 +278,11 @@ usr/share/alsa
 #usr/share/alsa/cards/FireWave.conf
 #usr/share/alsa/cards/GUS.conf
 #usr/share/alsa/cards/HDA-Intel.conf
-#usr/share/alsa/cards/HdmiLpeAudio.conf
 #usr/share/alsa/cards/ICE1712.conf
 #usr/share/alsa/cards/ICE1724.conf
 #usr/share/alsa/cards/ICH-MODEM.conf
 #usr/share/alsa/cards/ICH.conf
 #usr/share/alsa/cards/ICH4.conf
-#usr/share/alsa/cards/Loopback.conf
 #usr/share/alsa/cards/Maestro3.conf
 #usr/share/alsa/cards/NFORCE.conf
 #usr/share/alsa/cards/PC-Speaker.conf
@@ -313,7 +292,10 @@ usr/share/alsa
 #usr/share/alsa/cards/RME9636.conf
 #usr/share/alsa/cards/RME9652.conf
 #usr/share/alsa/cards/SB-XFi.conf
+#usr/share/alsa/cards/SI7018
 #usr/share/alsa/cards/SI7018.conf
+#usr/share/alsa/cards/SI7018/sndoc-mixer.alisp
+#usr/share/alsa/cards/SI7018/sndop-mixer.alisp
 #usr/share/alsa/cards/TRID4DWAVENX.conf
 #usr/share/alsa/cards/USB-Audio.conf
 #usr/share/alsa/cards/VIA686A.conf
@@ -324,14 +306,10 @@ usr/share/alsa
 #usr/share/alsa/cards/VXPocket.conf
 #usr/share/alsa/cards/VXPocket440.conf
 #usr/share/alsa/cards/YMF744.conf
+#usr/share/alsa/cards/aliases.alisp
 #usr/share/alsa/cards/aliases.conf
-#usr/share/alsa/cards/pistachio-card.conf
-#usr/share/alsa/cards/vc4-hdmi.conf
-#usr/share/alsa/ctl
-#usr/share/alsa/ctl/default.conf
 #usr/share/alsa/init
 #usr/share/alsa/init/00main
-#usr/share/alsa/init/ca0106
 #usr/share/alsa/init/default
 #usr/share/alsa/init/hda
 #usr/share/alsa/init/help
@@ -349,25 +327,52 @@ usr/share/alsa
 #usr/share/alsa/pcm/modem.conf
 #usr/share/alsa/pcm/rear.conf
 #usr/share/alsa/pcm/side.conf
-#usr/share/alsa/pcm/surround21.conf
 #usr/share/alsa/pcm/surround40.conf
 #usr/share/alsa/pcm/surround41.conf
 #usr/share/alsa/pcm/surround50.conf
 #usr/share/alsa/pcm/surround51.conf
 #usr/share/alsa/pcm/surround71.conf
+#usr/share/alsa/smixer.conf
+#usr/share/alsa/sndo-mixer.alisp
 #usr/share/alsa/speaker-test
 #usr/share/alsa/speaker-test/sample_map.csv
+#usr/share/alsa/ucm
+usr/share/alsa/ucm/DAISY-I2S
+usr/share/alsa/ucm/DAISY-I2S/DAISY-I2S.conf
+usr/share/alsa/ucm/DAISY-I2S/HiFi.conf
+#usr/share/alsa/ucm/PandaBoard
+usr/share/alsa/ucm/PandaBoard/FMAnalog
+usr/share/alsa/ucm/PandaBoard/PandaBoard.conf
+usr/share/alsa/ucm/PandaBoard/hifi
+usr/share/alsa/ucm/PandaBoard/hifiLP
+usr/share/alsa/ucm/PandaBoard/record
+usr/share/alsa/ucm/PandaBoard/voice
+usr/share/alsa/ucm/PandaBoard/voiceCall
+#usr/share/alsa/ucm/PandaBoardES
+usr/share/alsa/ucm/PandaBoardES/FMAnalog
+usr/share/alsa/ucm/PandaBoardES/PandaBoardES.conf
+usr/share/alsa/ucm/PandaBoardES/hifi
+usr/share/alsa/ucm/PandaBoardES/hifiLP
+usr/share/alsa/ucm/PandaBoardES/record
+usr/share/alsa/ucm/PandaBoardES/voice
+usr/share/alsa/ucm/PandaBoardES/voiceCall
+#usr/share/alsa/ucm/SDP4430
+usr/share/alsa/ucm/SDP4430/FMAnalog
+usr/share/alsa/ucm/SDP4430/SDP4430.conf
+usr/share/alsa/ucm/SDP4430/hifi
+usr/share/alsa/ucm/SDP4430/hifiLP
+usr/share/alsa/ucm/SDP4430/record
+usr/share/alsa/ucm/SDP4430/voice
+usr/share/alsa/ucm/SDP4430/voiceCall
+#usr/share/alsa/ucm/tegraalc5632
+usr/share/alsa/ucm/tegraalc5632/tegraalc5632.conf
 #usr/share/locale/de/LC_MESSAGES/alsa-utils.mo
-#usr/share/locale/eu/LC_MESSAGES/alsa-utils.mo
 #usr/share/locale/fr/LC_MESSAGES/alsa-utils.mo
 #usr/share/locale/ja/LC_MESSAGES/alsa-utils.mo
 #usr/share/locale/ja/LC_MESSAGES/alsaconf.mo
 #usr/share/locale/ru/LC_MESSAGES/alsaconf.mo
-#usr/share/locale/sk/LC_MESSAGES/alsa-utils.mo
 #usr/share/man/fr/man8/alsaconf.8
 #usr/share/man/man1/aconnect.1
-#usr/share/man/man1/alsa-info.sh.1
-#usr/share/man/man1/alsabat.1
 #usr/share/man/man1/alsactl.1
 #usr/share/man/man1/alsaloop.1
 #usr/share/man/man1/alsamixer.1
@@ -379,9 +384,6 @@ usr/share/alsa
 #usr/share/man/man1/arecordmidi.1
 #usr/share/man/man1/aseqdump.1
 #usr/share/man/man1/aseqnet.1
-#usr/share/man/man1/axfer-list.1
-#usr/share/man/man1/axfer-transfer.1
-#usr/share/man/man1/axfer.1
 #usr/share/man/man1/iecset.1
 #usr/share/man/man1/speaker-test.1
 #usr/share/man/man8/alsaconf.8
diff --git a/lfs/alsa b/lfs/alsa
index 264849e11..700afee5b 100644
--- a/lfs/alsa
+++ b/lfs/alsa
@@ -25,9 +25,9 @@
 include Config
 
 
-VER        = 1.2.5.1
-UVER       = 1.2.5.1
-FVER       = 1.2.4
+VER        = 1.0.27.1
+UVER       = 1.0.27.1
+FVER       = 1.0.27
 
 VERSUFIX   = ipfire$(KCFG)
 
@@ -52,9 +52,9 @@ $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 alsa-utils-$(UVER).tar.bz2 = $(DL_FROM)/alsa-utils-$(UVER).tar.bz2
 alsa-firmware-$(FVER).tar.bz2 = $(DL_FROM)/alsa-firmware-$(FVER).tar.bz2
 
-$(DL_FILE)_MD5 = c8335793e7828803311edc48fb71662e
-alsa-utils-$(UVER).tar.bz2_MD5 = 8f142bebff84ff05438b46a0e896f53a
-alsa-firmware-$(FVER).tar.bz2_MD5 = ee6c1d24a1a4ac1d86992b408ed710a2
+$(DL_FILE)_MD5 = 17102aaab10e9d4b19f6b02937bab015
+alsa-utils-$(UVER).tar.bz2_MD5 = 3d81357b997744a139881ef72bc6921a
+alsa-firmware-$(FVER).tar.bz2_MD5 = b373b350d5151dd7d64db2fc12936b04
 
 install : $(TARGET)
 
@@ -94,7 +94,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	cd $(DIR_APP) && ./configure
 	cd $(DIR_APP) && make $(MAKETUNING) $(EXTRA_MAKE)
 	cd $(DIR_APP) && make install
-	cd $(DIR_APP)/alsa-utils-$(UVER) && ./configure --disable-xmlto
+	cd $(DIR_APP)/alsa-utils-$(UVER) && ./configure \
+	                                --disable-xmlto \
+	                                --disable-python
 	cd $(DIR_APP)/alsa-utils-$(UVER) && make $(MAKETUNING) $(EXTRA_MAKE)
 	cd $(DIR_APP)/alsa-utils-$(UVER) && make install
 	cd $(DIR_APP)/alsa-firmware-$(FVER) && ./configure