diff --git a/config/rootfiles/packages/sdl b/config/rootfiles/packages/sdl
deleted file mode 100644
index 5aefece3d..000000000
--- a/config/rootfiles/packages/sdl
+++ /dev/null
@@ -1,217 +0,0 @@
-#usr/bin/sdl-config
-#usr/include/SDL
-#usr/include/SDL/SDL.h
-#usr/include/SDL/SDL_active.h
-#usr/include/SDL/SDL_audio.h
-#usr/include/SDL/SDL_byteorder.h
-#usr/include/SDL/SDL_cdrom.h
-#usr/include/SDL/SDL_config.h
-#usr/include/SDL/SDL_cpuinfo.h
-#usr/include/SDL/SDL_endian.h
-#usr/include/SDL/SDL_error.h
-#usr/include/SDL/SDL_events.h
-#usr/include/SDL/SDL_getenv.h
-#usr/include/SDL/SDL_joystick.h
-#usr/include/SDL/SDL_keyboard.h
-#usr/include/SDL/SDL_keysym.h
-#usr/include/SDL/SDL_loadso.h
-#usr/include/SDL/SDL_main.h
-#usr/include/SDL/SDL_mouse.h
-#usr/include/SDL/SDL_mutex.h
-#usr/include/SDL/SDL_name.h
-#usr/include/SDL/SDL_opengl.h
-#usr/include/SDL/SDL_platform.h
-#usr/include/SDL/SDL_quit.h
-#usr/include/SDL/SDL_rwops.h
-#usr/include/SDL/SDL_stdinc.h
-#usr/include/SDL/SDL_syswm.h
-#usr/include/SDL/SDL_thread.h
-#usr/include/SDL/SDL_timer.h
-#usr/include/SDL/SDL_types.h
-#usr/include/SDL/SDL_version.h
-#usr/include/SDL/SDL_video.h
-#usr/include/SDL/begin_code.h
-#usr/include/SDL/close_code.h
-usr/lib/libSDL-1.2.so.0
-usr/lib/libSDL-1.2.so.0.11.4
-#usr/lib/libSDL.a
-#usr/lib/libSDL.la
-usr/lib/libSDL.so
-#usr/lib/libSDLmain.a
-#usr/lib/libSDLmain.la
-#usr/lib/pkgconfig/sdl.pc
-#usr/share/aclocal/sdl.m4
-#usr/share/man/man3/SDLKey.3
-#usr/share/man/man3/SDL_ActiveEvent.3
-#usr/share/man/man3/SDL_AddTimer.3
-#usr/share/man/man3/SDL_AudioCVT.3
-#usr/share/man/man3/SDL_AudioSpec.3
-#usr/share/man/man3/SDL_BlitSurface.3
-#usr/share/man/man3/SDL_BuildAudioCVT.3
-#usr/share/man/man3/SDL_CD.3
-#usr/share/man/man3/SDL_CDClose.3
-#usr/share/man/man3/SDL_CDEject.3
-#usr/share/man/man3/SDL_CDName.3
-#usr/share/man/man3/SDL_CDNumDrives.3
-#usr/share/man/man3/SDL_CDOpen.3
-#usr/share/man/man3/SDL_CDPause.3
-#usr/share/man/man3/SDL_CDPlay.3
-#usr/share/man/man3/SDL_CDPlayTracks.3
-#usr/share/man/man3/SDL_CDResume.3
-#usr/share/man/man3/SDL_CDStatus.3
-#usr/share/man/man3/SDL_CDStop.3
-#usr/share/man/man3/SDL_CDtrack.3
-#usr/share/man/man3/SDL_CloseAudio.3
-#usr/share/man/man3/SDL_Color.3
-#usr/share/man/man3/SDL_CondBroadcast.3
-#usr/share/man/man3/SDL_CondSignal.3
-#usr/share/man/man3/SDL_CondWait.3
-#usr/share/man/man3/SDL_CondWaitTimeout.3
-#usr/share/man/man3/SDL_ConvertAudio.3
-#usr/share/man/man3/SDL_ConvertSurface.3
-#usr/share/man/man3/SDL_CreateCond.3
-#usr/share/man/man3/SDL_CreateCursor.3
-#usr/share/man/man3/SDL_CreateMutex.3
-#usr/share/man/man3/SDL_CreateRGBSurface.3
-#usr/share/man/man3/SDL_CreateRGBSurfaceFrom.3
-#usr/share/man/man3/SDL_CreateSemaphore.3
-#usr/share/man/man3/SDL_CreateThread.3
-#usr/share/man/man3/SDL_CreateYUVOverlay.3
-#usr/share/man/man3/SDL_Delay.3
-#usr/share/man/man3/SDL_DestroyCond.3
-#usr/share/man/man3/SDL_DestroyMutex.3
-#usr/share/man/man3/SDL_DestroySemaphore.3
-#usr/share/man/man3/SDL_DisplayFormat.3
-#usr/share/man/man3/SDL_DisplayFormatAlpha.3
-#usr/share/man/man3/SDL_DisplayYUVOverlay.3
-#usr/share/man/man3/SDL_EnableKeyRepeat.3
-#usr/share/man/man3/SDL_EnableUNICODE.3
-#usr/share/man/man3/SDL_Event.3
-#usr/share/man/man3/SDL_EventState.3
-#usr/share/man/man3/SDL_ExposeEvent.3
-#usr/share/man/man3/SDL_FillRect.3
-#usr/share/man/man3/SDL_Flip.3
-#usr/share/man/man3/SDL_FreeCursor.3
-#usr/share/man/man3/SDL_FreeSurface.3
-#usr/share/man/man3/SDL_FreeWAV.3
-#usr/share/man/man3/SDL_FreeYUVOverlay.3
-#usr/share/man/man3/SDL_GL_GetAttribute.3
-#usr/share/man/man3/SDL_GL_GetProcAddress.3
-#usr/share/man/man3/SDL_GL_LoadLibrary.3
-#usr/share/man/man3/SDL_GL_SetAttribute.3
-#usr/share/man/man3/SDL_GL_SwapBuffers.3
-#usr/share/man/man3/SDL_GLattr.3
-#usr/share/man/man3/SDL_GetAppState.3
-#usr/share/man/man3/SDL_GetAudioStatus.3
-#usr/share/man/man3/SDL_GetClipRect.3
-#usr/share/man/man3/SDL_GetCursor.3
-#usr/share/man/man3/SDL_GetError.3
-#usr/share/man/man3/SDL_GetEventFilter.3
-#usr/share/man/man3/SDL_GetGamma.3
-#usr/share/man/man3/SDL_GetGammaRamp.3
-#usr/share/man/man3/SDL_GetKeyName.3
-#usr/share/man/man3/SDL_GetKeyState.3
-#usr/share/man/man3/SDL_GetModState.3
-#usr/share/man/man3/SDL_GetMouseState.3
-#usr/share/man/man3/SDL_GetRGB.3
-#usr/share/man/man3/SDL_GetRGBA.3
-#usr/share/man/man3/SDL_GetRelativeMouseState.3
-#usr/share/man/man3/SDL_GetThreadID.3
-#usr/share/man/man3/SDL_GetTicks.3
-#usr/share/man/man3/SDL_GetVideoInfo.3
-#usr/share/man/man3/SDL_GetVideoSurface.3
-#usr/share/man/man3/SDL_Init.3
-#usr/share/man/man3/SDL_InitSubSystem.3
-#usr/share/man/man3/SDL_JoyAxisEvent.3
-#usr/share/man/man3/SDL_JoyBallEvent.3
-#usr/share/man/man3/SDL_JoyButtonEvent.3
-#usr/share/man/man3/SDL_JoyHatEvent.3
-#usr/share/man/man3/SDL_JoystickClose.3
-#usr/share/man/man3/SDL_JoystickEventState.3
-#usr/share/man/man3/SDL_JoystickGetAxis.3
-#usr/share/man/man3/SDL_JoystickGetBall.3
-#usr/share/man/man3/SDL_JoystickGetButton.3
-#usr/share/man/man3/SDL_JoystickGetHat.3
-#usr/share/man/man3/SDL_JoystickIndex.3
-#usr/share/man/man3/SDL_JoystickName.3
-#usr/share/man/man3/SDL_JoystickNumAxes.3
-#usr/share/man/man3/SDL_JoystickNumBalls.3
-#usr/share/man/man3/SDL_JoystickNumButtons.3
-#usr/share/man/man3/SDL_JoystickNumHats.3
-#usr/share/man/man3/SDL_JoystickOpen.3
-#usr/share/man/man3/SDL_JoystickOpened.3
-#usr/share/man/man3/SDL_JoystickUpdate.3
-#usr/share/man/man3/SDL_KeyboardEvent.3
-#usr/share/man/man3/SDL_KillThread.3
-#usr/share/man/man3/SDL_ListModes.3
-#usr/share/man/man3/SDL_LoadBMP.3
-#usr/share/man/man3/SDL_LoadWAV.3
-#usr/share/man/man3/SDL_LockAudio.3
-#usr/share/man/man3/SDL_LockSurface.3
-#usr/share/man/man3/SDL_LockYUVOverlay.3
-#usr/share/man/man3/SDL_MapRGB.3
-#usr/share/man/man3/SDL_MapRGBA.3
-#usr/share/man/man3/SDL_MixAudio.3
-#usr/share/man/man3/SDL_MouseButtonEvent.3
-#usr/share/man/man3/SDL_MouseMotionEvent.3
-#usr/share/man/man3/SDL_NumJoysticks.3
-#usr/share/man/man3/SDL_OpenAudio.3
-#usr/share/man/man3/SDL_Overlay.3
-#usr/share/man/man3/SDL_Palette.3
-#usr/share/man/man3/SDL_PauseAudio.3
-#usr/share/man/man3/SDL_PeepEvents.3
-#usr/share/man/man3/SDL_PixelFormat.3
-#usr/share/man/man3/SDL_PollEvent.3
-#usr/share/man/man3/SDL_PumpEvents.3
-#usr/share/man/man3/SDL_PushEvent.3
-#usr/share/man/man3/SDL_Quit.3
-#usr/share/man/man3/SDL_QuitEvent.3
-#usr/share/man/man3/SDL_QuitSubSystem.3
-#usr/share/man/man3/SDL_RWFromFile.3
-#usr/share/man/man3/SDL_Rect.3
-#usr/share/man/man3/SDL_RemoveTimer.3
-#usr/share/man/man3/SDL_ResizeEvent.3
-#usr/share/man/man3/SDL_SaveBMP.3
-#usr/share/man/man3/SDL_SemPost.3
-#usr/share/man/man3/SDL_SemTryWait.3
-#usr/share/man/man3/SDL_SemValue.3
-#usr/share/man/man3/SDL_SemWait.3
-#usr/share/man/man3/SDL_SemWaitTimeout.3
-#usr/share/man/man3/SDL_SetAlpha.3
-#usr/share/man/man3/SDL_SetClipRect.3
-#usr/share/man/man3/SDL_SetColorKey.3
-#usr/share/man/man3/SDL_SetColors.3
-#usr/share/man/man3/SDL_SetCursor.3
-#usr/share/man/man3/SDL_SetEventFilter.3
-#usr/share/man/man3/SDL_SetGamma.3
-#usr/share/man/man3/SDL_SetGammaRamp.3
-#usr/share/man/man3/SDL_SetModState.3
-#usr/share/man/man3/SDL_SetPalette.3
-#usr/share/man/man3/SDL_SetTimer.3
-#usr/share/man/man3/SDL_SetVideoMode.3
-#usr/share/man/man3/SDL_ShowCursor.3
-#usr/share/man/man3/SDL_Surface.3
-#usr/share/man/man3/SDL_SysWMEvent.3
-#usr/share/man/man3/SDL_ThreadID.3
-#usr/share/man/man3/SDL_UnlockAudio.3
-#usr/share/man/man3/SDL_UnlockSurface.3
-#usr/share/man/man3/SDL_UnlockYUVOverlay.3
-#usr/share/man/man3/SDL_UpdateRect.3
-#usr/share/man/man3/SDL_UpdateRects.3
-#usr/share/man/man3/SDL_UserEvent.3
-#usr/share/man/man3/SDL_VideoDriverName.3
-#usr/share/man/man3/SDL_VideoInfo.3
-#usr/share/man/man3/SDL_VideoModeOK.3
-#usr/share/man/man3/SDL_WM_GetCaption.3
-#usr/share/man/man3/SDL_WM_GrabInput.3
-#usr/share/man/man3/SDL_WM_IconifyWindow.3
-#usr/share/man/man3/SDL_WM_SetCaption.3
-#usr/share/man/man3/SDL_WM_SetIcon.3
-#usr/share/man/man3/SDL_WM_ToggleFullScreen.3
-#usr/share/man/man3/SDL_WaitEvent.3
-#usr/share/man/man3/SDL_WaitThread.3
-#usr/share/man/man3/SDL_WarpMouse.3
-#usr/share/man/man3/SDL_WasInit.3
-#usr/share/man/man3/SDL_keysym.3
-#usr/share/man/man3/SDL_mutexP.3
-#usr/share/man/man3/SDL_mutexV.3
diff --git a/config/rootfiles/packages/sdl2 b/config/rootfiles/packages/sdl2
new file mode 100644
index 000000000..53b5716c8
--- /dev/null
+++ b/config/rootfiles/packages/sdl2
@@ -0,0 +1,91 @@
+#usr/bin/sdl2-config
+#usr/include/SDL2
+#usr/include/SDL2/SDL.h
+#usr/include/SDL2/SDL_assert.h
+#usr/include/SDL2/SDL_atomic.h
+#usr/include/SDL2/SDL_audio.h
+#usr/include/SDL2/SDL_bits.h
+#usr/include/SDL2/SDL_blendmode.h
+#usr/include/SDL2/SDL_clipboard.h
+#usr/include/SDL2/SDL_config.h
+#usr/include/SDL2/SDL_cpuinfo.h
+#usr/include/SDL2/SDL_egl.h
+#usr/include/SDL2/SDL_endian.h
+#usr/include/SDL2/SDL_error.h
+#usr/include/SDL2/SDL_events.h
+#usr/include/SDL2/SDL_filesystem.h
+#usr/include/SDL2/SDL_gamecontroller.h
+#usr/include/SDL2/SDL_gesture.h
+#usr/include/SDL2/SDL_haptic.h
+#usr/include/SDL2/SDL_hints.h
+#usr/include/SDL2/SDL_joystick.h
+#usr/include/SDL2/SDL_keyboard.h
+#usr/include/SDL2/SDL_keycode.h
+#usr/include/SDL2/SDL_loadso.h
+#usr/include/SDL2/SDL_locale.h
+#usr/include/SDL2/SDL_log.h
+#usr/include/SDL2/SDL_main.h
+#usr/include/SDL2/SDL_messagebox.h
+#usr/include/SDL2/SDL_metal.h
+#usr/include/SDL2/SDL_misc.h
+#usr/include/SDL2/SDL_mouse.h
+#usr/include/SDL2/SDL_mutex.h
+#usr/include/SDL2/SDL_name.h
+#usr/include/SDL2/SDL_opengl.h
+#usr/include/SDL2/SDL_opengl_glext.h
+#usr/include/SDL2/SDL_opengles.h
+#usr/include/SDL2/SDL_opengles2.h
+#usr/include/SDL2/SDL_opengles2_gl2.h
+#usr/include/SDL2/SDL_opengles2_gl2ext.h
+#usr/include/SDL2/SDL_opengles2_gl2platform.h
+#usr/include/SDL2/SDL_opengles2_khrplatform.h
+#usr/include/SDL2/SDL_pixels.h
+#usr/include/SDL2/SDL_platform.h
+#usr/include/SDL2/SDL_power.h
+#usr/include/SDL2/SDL_quit.h
+#usr/include/SDL2/SDL_rect.h
+#usr/include/SDL2/SDL_render.h
+#usr/include/SDL2/SDL_revision.h
+#usr/include/SDL2/SDL_rwops.h
+#usr/include/SDL2/SDL_scancode.h
+#usr/include/SDL2/SDL_sensor.h
+#usr/include/SDL2/SDL_shape.h
+#usr/include/SDL2/SDL_stdinc.h
+#usr/include/SDL2/SDL_surface.h
+#usr/include/SDL2/SDL_system.h
+#usr/include/SDL2/SDL_syswm.h
+#usr/include/SDL2/SDL_test.h
+#usr/include/SDL2/SDL_test_assert.h
+#usr/include/SDL2/SDL_test_common.h
+#usr/include/SDL2/SDL_test_compare.h
+#usr/include/SDL2/SDL_test_crc32.h
+#usr/include/SDL2/SDL_test_font.h
+#usr/include/SDL2/SDL_test_fuzzer.h
+#usr/include/SDL2/SDL_test_harness.h
+#usr/include/SDL2/SDL_test_images.h
+#usr/include/SDL2/SDL_test_log.h
+#usr/include/SDL2/SDL_test_md5.h
+#usr/include/SDL2/SDL_test_memory.h
+#usr/include/SDL2/SDL_test_random.h
+#usr/include/SDL2/SDL_thread.h
+#usr/include/SDL2/SDL_timer.h
+#usr/include/SDL2/SDL_touch.h
+#usr/include/SDL2/SDL_types.h
+#usr/include/SDL2/SDL_version.h
+#usr/include/SDL2/SDL_video.h
+#usr/include/SDL2/SDL_vulkan.h
+#usr/include/SDL2/begin_code.h
+#usr/include/SDL2/close_code.h
+#usr/lib/cmake/SDL2
+#usr/lib/cmake/SDL2/sdl2-config-version.cmake
+#usr/lib/cmake/SDL2/sdl2-config.cmake
+usr/lib/libSDL2-2.0.so.0
+usr/lib/libSDL2-2.0.so.0.16.0
+#usr/lib/libSDL2.la
+usr/lib/libSDL2.so
+#usr/lib/libSDL2_test.a
+#usr/lib/libSDL2_test.la
+#usr/lib/libSDL2main.a
+#usr/lib/libSDL2main.la
+#usr/lib/pkgconfig/sdl2.pc
+#usr/share/aclocal/sdl2.m4
diff --git a/lfs/sdl b/lfs/sdl2
similarity index 93%
rename from lfs/sdl
rename to lfs/sdl2
index 0e96af04d..ea5f15ce2 100644
--- a/lfs/sdl
+++ b/lfs/sdl2
@@ -24,15 +24,15 @@
 
 include Config
 
-VER        = 1.2.15
+VER        = 2.0.16
 
-THISAPP    = SDL-$(VER)
+THISAPP    = SDL2-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
 DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
-PROG       = sdl
-PAK_VER    = 3
+PROG       = sdl2
+PAK_VER    = 4
 
 DEPS       = alsa
 
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 9d96df8417572a2afb781a7c4c811a85
+$(DL_FILE)_MD5 = 98b8a1535a757ea1d03ae44e2fb20247
 
 install : $(TARGET)
 
@@ -78,7 +78,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
 	$(UPDATE_AUTOMAKE)
-	cd $(DIR_APP) && ./configure --prefix=/usr
+	cd $(DIR_APP) && ./configure \
+	                --prefix=/usr \
+	                --disable-static
 	cd $(DIR_APP) && make $(MAKETUNING)
 	cd $(DIR_APP) && make install
 	@rm -rf $(DIR_APP)
diff --git a/make.sh b/make.sh
index 0baf2050d..5fe0d6371 100755
--- a/make.sh
+++ b/make.sh
@@ -1446,7 +1446,7 @@ buildipfire() {
   lfsmake2 python3-pyparsing
   lfsmake2 spice-protocol
   lfsmake2 spice
-  lfsmake2 sdl
+  lfsmake2 sdl2
   lfsmake2 libusbredir
   lfsmake2 libseccomp
   lfsmake2 qemu