diff --git a/config/rootfiles/common/ncurses b/config/rootfiles/common/ncurses
index ff3f7a7bd..323c5c055 100644
--- a/config/rootfiles/common/ncurses
+++ b/config/rootfiles/common/ncurses
@@ -34,20 +34,20 @@ usr/bin/tset
 #usr/lib/libform.so
 #usr/lib/libformw.so
 usr/lib/libformw.so.6
-usr/lib/libformw.so.6.2
+usr/lib/libformw.so.6.3
 #usr/lib/libmenu.so
 #usr/lib/libmenuw.so
 usr/lib/libmenuw.so.6
-usr/lib/libmenuw.so.6.2
+usr/lib/libmenuw.so.6.3
 #usr/lib/libncurses++w.a
 #usr/lib/libncurses.so
 #usr/lib/libncursesw.so
 usr/lib/libncursesw.so.6
-usr/lib/libncursesw.so.6.2
+usr/lib/libncursesw.so.6.3
 #usr/lib/libpanel.so
 #usr/lib/libpanelw.so
 usr/lib/libpanelw.so.6
-usr/lib/libpanelw.so.6.2
+usr/lib/libpanelw.so.6.3
 #usr/lib/pkgconfig/form.pc
 #usr/lib/pkgconfig/menu.pc
 #usr/lib/pkgconfig/ncurses.pc
@@ -253,6 +253,7 @@ usr/lib/libpanelw.so.6.2
 #usr/share/man/man3/erasechar.3x
 #usr/share/man/man3/erasechar_sp.3x
 #usr/share/man/man3/erasewchar.3x
+#usr/share/man/man3/erasewchar_sp.3x
 #usr/share/man/man3/exit_curses.3x
 #usr/share/man/man3/exit_terminfo.3x
 #usr/share/man/man3/extended_color_content.3x
@@ -446,6 +447,7 @@ usr/lib/libpanelw.so.6.2
 #usr/share/man/man3/killchar.3x
 #usr/share/man/man3/killchar_sp.3x
 #usr/share/man/man3/killwchar.3x
+#usr/share/man/man3/killwchar_sp.3x
 #usr/share/man/man3/leaveok.3x
 #usr/share/man/man3/legacy_coding.3x
 #usr/share/man/man3/link_field.3x
@@ -652,6 +654,7 @@ usr/lib/libpanelw.so.6.2
 #usr/share/man/man3/refresh.3x
 #usr/share/man/man3/replace_panel.3x
 #usr/share/man/man3/reset_color_pairs.3x
+#usr/share/man/man3/reset_color_pairs_sp.3x
 #usr/share/man/man3/reset_prog_mode.3x
 #usr/share/man/man3/reset_prog_mode_sp.3x
 #usr/share/man/man3/reset_shell_mode.3x
@@ -738,7 +741,6 @@ usr/lib/libpanelw.so.6.2
 #usr/share/man/man3/setcchar.3x
 #usr/share/man/man3/setscrreg.3x
 #usr/share/man/man3/setsyx.3x
-#usr/share/man/man3/setterm.3x
 #usr/share/man/man3/setupterm.3x
 #usr/share/man/man3/show_panel.3x
 #usr/share/man/man3/slk_attr.3x
@@ -799,6 +801,7 @@ usr/lib/libpanelw.so.6.2
 #usr/share/man/man3/tgetstr.3x
 #usr/share/man/man3/tgetstr_sp.3x
 #usr/share/man/man3/tgoto.3x
+#usr/share/man/man3/tgoto_sp.3x
 #usr/share/man/man3/tigetflag.3x
 #usr/share/man/man3/tigetflag_sp.3x
 #usr/share/man/man3/tigetnum.3x
@@ -812,6 +815,7 @@ usr/lib/libpanelw.so.6.2
 #usr/share/man/man3/touchline.3x
 #usr/share/man/man3/touchwin.3x
 #usr/share/man/man3/tparm.3x
+#usr/share/man/man3/tparm_sp.3x
 #usr/share/man/man3/tputs.3x
 #usr/share/man/man3/tputs_sp.3x
 #usr/share/man/man3/trace.3x
@@ -1035,6 +1039,7 @@ usr/share/terminfo/E/Eterm-color
 #usr/share/terminfo/Q/Q310-vip-w-am
 #usr/share/terminfo/X
 #usr/share/terminfo/X/X-hpterm
+#usr/share/terminfo/X/X-hpterm-color2
 #usr/share/terminfo/a
 #usr/share/terminfo/a/a210
 #usr/share/terminfo/a/a80
@@ -1087,6 +1092,7 @@ usr/share/terminfo/E/Eterm-color
 #usr/share/terminfo/a/abm85e
 #usr/share/terminfo/a/abm85h
 #usr/share/terminfo/a/abm85h-old
+#usr/share/terminfo/a/absolute
 #usr/share/terminfo/a/act4
 #usr/share/terminfo/a/act5
 #usr/share/terminfo/a/addrinfo
@@ -1180,6 +1186,7 @@ usr/share/terminfo/a/ansi
 #usr/share/terminfo/a/ansi+local1
 #usr/share/terminfo/a/ansi+pp
 #usr/share/terminfo/a/ansi+rca
+#usr/share/terminfo/a/ansi+rca2
 #usr/share/terminfo/a/ansi+rep
 #usr/share/terminfo/a/ansi+sgr
 #usr/share/terminfo/a/ansi+sgrbold
@@ -1321,6 +1328,8 @@ usr/share/terminfo/a/aterm
 #usr/share/terminfo/a/att605-pc
 #usr/share/terminfo/a/att605-w
 #usr/share/terminfo/a/att610
+#usr/share/terminfo/a/att610+cvis
+#usr/share/terminfo/a/att610+cvis0
 #usr/share/terminfo/a/att610-103k
 #usr/share/terminfo/a/att610-103k-w
 #usr/share/terminfo/a/att610-w
@@ -1885,6 +1894,9 @@ usr/share/terminfo/e/eterm-color
 #usr/share/terminfo/f/fenix
 #usr/share/terminfo/f/fenixw
 #usr/share/terminfo/f/fixterm
+#usr/share/terminfo/f/foot
+#usr/share/terminfo/f/foot+base
+#usr/share/terminfo/f/foot-direct
 #usr/share/terminfo/f/fortune
 #usr/share/terminfo/f/fos
 #usr/share/terminfo/f/fox
@@ -2068,7 +2080,9 @@ usr/share/terminfo/g/gnome-256color
 #usr/share/terminfo/h/hp9837
 #usr/share/terminfo/h/hp9845
 #usr/share/terminfo/h/hp98550
+#usr/share/terminfo/h/hp98550-color
 #usr/share/terminfo/h/hp98550a
+#usr/share/terminfo/h/hp98550a-color
 #usr/share/terminfo/h/hp98720
 #usr/share/terminfo/h/hp98721
 #usr/share/terminfo/h/hpansi
@@ -2078,6 +2092,9 @@ usr/share/terminfo/g/gnome-256color
 #usr/share/terminfo/h/hpsub
 #usr/share/terminfo/h/hpterm
 #usr/share/terminfo/h/hpterm-color
+#usr/share/terminfo/h/hpterm-color2
+#usr/share/terminfo/h/hterm
+#usr/share/terminfo/h/hterm-256color
 #usr/share/terminfo/h/htx11
 usr/share/terminfo/h/hurd
 #usr/share/terminfo/h/hz1000
@@ -2155,6 +2172,7 @@ usr/share/terminfo/h/hurd
 #usr/share/terminfo/i/ims950-b
 #usr/share/terminfo/i/ims950-rv
 #usr/share/terminfo/i/infoton
+#usr/share/terminfo/i/infoton2
 #usr/share/terminfo/i/interix
 #usr/share/terminfo/i/interix-nti
 #usr/share/terminfo/i/intertec
@@ -2225,6 +2243,8 @@ usr/share/terminfo/k/konsole-256color
 #usr/share/terminfo/l/lft
 #usr/share/terminfo/l/lft-pc850
 usr/share/terminfo/l/linux
+#usr/share/terminfo/l/linux+decid
+#usr/share/terminfo/l/linux+sfkeys
 #usr/share/terminfo/l/linux-16color
 #usr/share/terminfo/l/linux-basic
 #usr/share/terminfo/l/linux-c
@@ -2237,6 +2257,7 @@ usr/share/terminfo/l/linux
 #usr/share/terminfo/l/linux-m1b
 #usr/share/terminfo/l/linux-m2
 #usr/share/terminfo/l/linux-nic
+#usr/share/terminfo/l/linux-s
 #usr/share/terminfo/l/linux-vt
 #usr/share/terminfo/l/linux2.2
 #usr/share/terminfo/l/linux2.6
@@ -2726,12 +2747,15 @@ usr/share/terminfo/p/putty+fnkeys+sco
 usr/share/terminfo/p/putty+fnkeys+vt100
 usr/share/terminfo/p/putty+fnkeys+vt400
 usr/share/terminfo/p/putty+fnkeys+xterm
+#usr/share/terminfo/p/putty+keypad
+#usr/share/terminfo/p/putty+screen
 usr/share/terminfo/p/putty-256color
 #usr/share/terminfo/p/putty-m1
 #usr/share/terminfo/p/putty-m1b
 #usr/share/terminfo/p/putty-m2
 #usr/share/terminfo/p/putty-noapp
 usr/share/terminfo/p/putty-sco
+#usr/share/terminfo/p/putty-screen
 usr/share/terminfo/p/putty-vt100
 #usr/share/terminfo/q
 #usr/share/terminfo/q/qansi
@@ -2846,6 +2870,7 @@ usr/share/terminfo/s/screen.linux
 #usr/share/terminfo/s/screen.linux-m1
 #usr/share/terminfo/s/screen.linux-m1b
 #usr/share/terminfo/s/screen.linux-m2
+#usr/share/terminfo/s/screen.linux-s
 #usr/share/terminfo/s/screen.minitel1
 #usr/share/terminfo/s/screen.minitel1-nb
 #usr/share/terminfo/s/screen.minitel12-80
@@ -2875,6 +2900,8 @@ usr/share/terminfo/s/screen3
 #usr/share/terminfo/s/screen5
 #usr/share/terminfo/s/screwpoint
 #usr/share/terminfo/s/scrhp
+#usr/share/terminfo/s/scrt
+#usr/share/terminfo/s/securecrt
 #usr/share/terminfo/s/sibo
 #usr/share/terminfo/s/simpleterm
 #usr/share/terminfo/s/simterm
@@ -3000,6 +3027,7 @@ usr/share/terminfo/t/teraterm2.3
 #usr/share/terminfo/t/terminology
 #usr/share/terminfo/t/terminology-0.6.1
 #usr/share/terminfo/t/terminology-1.0.0
+#usr/share/terminfo/t/terminology-1.8.1
 #usr/share/terminfo/t/termite
 #usr/share/terminfo/t/tgtelnet
 #usr/share/terminfo/t/ti700
@@ -3030,6 +3058,7 @@ usr/share/terminfo/t/teraterm2.3
 #usr/share/terminfo/t/tkterm
 #usr/share/terminfo/t/tmux
 #usr/share/terminfo/t/tmux-256color
+#usr/share/terminfo/t/tmux-direct
 #usr/share/terminfo/t/tn1200
 #usr/share/terminfo/t/tn300
 #usr/share/terminfo/t/trs16
@@ -3299,9 +3328,14 @@ usr/share/terminfo/v/vt102
 #usr/share/terminfo/v/vt200-old
 #usr/share/terminfo/v/vt200-w
 usr/share/terminfo/v/vt220
+#usr/share/terminfo/v/vt220+cvis
+#usr/share/terminfo/v/vt220+cvis8
 #usr/share/terminfo/v/vt220+keypad
+#usr/share/terminfo/v/vt220+pcedit
+#usr/share/terminfo/v/vt220+vtedit
 #usr/share/terminfo/v/vt220-8
 #usr/share/terminfo/v/vt220-8bit
+#usr/share/terminfo/v/vt220-base
 #usr/share/terminfo/v/vt220-js
 #usr/share/terminfo/v/vt220-nam
 #usr/share/terminfo/v/vt220-old
@@ -3333,6 +3367,8 @@ usr/share/terminfo/v/vt220
 #usr/share/terminfo/v/vt510pc
 #usr/share/terminfo/v/vt510pcdos
 usr/share/terminfo/v/vt52
+#usr/share/terminfo/v/vt52+keypad
+#usr/share/terminfo/v/vt52-basic
 #usr/share/terminfo/v/vt520
 #usr/share/terminfo/v/vt520ansi
 #usr/share/terminfo/v/vt525
@@ -3659,19 +3695,26 @@ usr/share/terminfo/x/xfce
 #usr/share/terminfo/x/xtalk
 usr/share/terminfo/x/xterm
 #usr/share/terminfo/x/xterm+256color
+#usr/share/terminfo/x/xterm+256color2
 #usr/share/terminfo/x/xterm+256setaf
 #usr/share/terminfo/x/xterm+88color
+#usr/share/terminfo/x/xterm+88color2
 #usr/share/terminfo/x/xterm+alt+title
 #usr/share/terminfo/x/xterm+alt1049
 #usr/share/terminfo/x/xterm+app
 #usr/share/terminfo/x/xterm+direct
+#usr/share/terminfo/x/xterm+direct16
 #usr/share/terminfo/x/xterm+direct2
+#usr/share/terminfo/x/xterm+direct256
 #usr/share/terminfo/x/xterm+edit
 #usr/share/terminfo/x/xterm+indirect
 #usr/share/terminfo/x/xterm+kbs
 #usr/share/terminfo/x/xterm+keypad
+#usr/share/terminfo/x/xterm+meta
 #usr/share/terminfo/x/xterm+noalt
 #usr/share/terminfo/x/xterm+noapp
+#usr/share/terminfo/x/xterm+nofkeys
+#usr/share/terminfo/x/xterm+nopcfkeys
 #usr/share/terminfo/x/xterm+osc104
 #usr/share/terminfo/x/xterm+pc+edit
 #usr/share/terminfo/x/xterm+pcc0
@@ -3691,6 +3734,7 @@ usr/share/terminfo/x/xterm
 #usr/share/terminfo/x/xterm+sm+1006
 #usr/share/terminfo/x/xterm+titlestack
 #usr/share/terminfo/x/xterm+tmux
+#usr/share/terminfo/x/xterm+tmux2
 #usr/share/terminfo/x/xterm+vt+edit
 #usr/share/terminfo/x/xterm+x10mouse
 #usr/share/terminfo/x/xterm+x11hilite
@@ -3708,7 +3752,9 @@ usr/share/terminfo/x/xterm-basic
 usr/share/terminfo/x/xterm-bold
 usr/share/terminfo/x/xterm-color
 #usr/share/terminfo/x/xterm-direct
+#usr/share/terminfo/x/xterm-direct16
 #usr/share/terminfo/x/xterm-direct2
+#usr/share/terminfo/x/xterm-direct256
 usr/share/terminfo/x/xterm-hp
 #usr/share/terminfo/x/xterm-mono
 usr/share/terminfo/x/xterm-new
diff --git a/lfs/ncurses b/lfs/ncurses
index 1c8e9d076..de48c9443 100644
--- a/lfs/ncurses
+++ b/lfs/ncurses
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 6.2
+VER        = 6.3
 
 THISAPP    = ncurses-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -58,7 +58,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = e812da327b1c2214ac1aed440ea3ae8d
+$(DL_FILE)_MD5 = a2736befde5fee7d2b7eb45eb281cdbe
 
 install : $(TARGET)
 