diff --git a/config/rootfiles/common/libwww-perl b/config/rootfiles/common/libwww-perl
deleted file mode 100644
index a3f79e4d7..000000000
--- a/config/rootfiles/common/libwww-perl
+++ /dev/null
@@ -1,102 +0,0 @@
-#usr/lib/perl5/site_perl/5.32.1/Bundle
-usr/lib/perl5/site_perl/5.32.1/Bundle/LWP.pm
-#usr/lib/perl5/site_perl/5.32.1/File
-usr/lib/perl5/site_perl/5.32.1/File/Listing.pm
-usr/lib/perl5/site_perl/5.32.1/HTML/Form.pm
-#usr/lib/perl5/site_perl/5.32.1/HTTP
-#usr/lib/perl5/site_perl/5.32.1/HTTP/Cookies
-usr/lib/perl5/site_perl/5.32.1/HTTP/Cookies.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Cookies/Microsoft.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Cookies/Netscape.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Daemon.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Date.pm
-#usr/lib/perl5/site_perl/5.32.1/HTTP/Headers
-usr/lib/perl5/site_perl/5.32.1/HTTP/Headers.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Headers/Auth.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Headers/ETag.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Headers/Util.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Message.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Negotiate.pm
-#usr/lib/perl5/site_perl/5.32.1/HTTP/Request
-usr/lib/perl5/site_perl/5.32.1/HTTP/Request.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Request/Common.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Response.pm
-usr/lib/perl5/site_perl/5.32.1/HTTP/Status.pm
-#usr/lib/perl5/site_perl/5.32.1/LWP
-usr/lib/perl5/site_perl/5.32.1/LWP.pm
-#usr/lib/perl5/site_perl/5.32.1/LWP/Authen
-usr/lib/perl5/site_perl/5.32.1/LWP/Authen/Basic.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Authen/Digest.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Authen/Ntlm.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/ConnCache.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Debug.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/DebugFile.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/MediaTypes.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/MemberMixin.pm
-#usr/lib/perl5/site_perl/5.32.1/LWP/Protocol
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/GHTTP.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/cpan.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/data.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/file.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/ftp.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/gopher.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/http.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/http10.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/https.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/https10.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/loopback.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/mailto.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/nntp.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/nogo.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/RobotUA.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/Simple.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/UserAgent.pm
-usr/lib/perl5/site_perl/5.32.1/LWP/media.types
-#usr/lib/perl5/site_perl/5.32.1/Net
-#usr/lib/perl5/site_perl/5.32.1/Net/HTTP
-usr/lib/perl5/site_perl/5.32.1/Net/HTTP.pm
-usr/lib/perl5/site_perl/5.32.1/Net/HTTP/Methods.pm
-usr/lib/perl5/site_perl/5.32.1/Net/HTTP/NB.pm
-usr/lib/perl5/site_perl/5.32.1/Net/HTTPS.pm
-#usr/lib/perl5/site_perl/5.32.1/WWW
-#usr/lib/perl5/site_perl/5.32.1/WWW/RobotRules
-usr/lib/perl5/site_perl/5.32.1/WWW/RobotRules.pm
-usr/lib/perl5/site_perl/5.32.1/WWW/RobotRules/AnyDBM_File.pm
-#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/libwww-perl
-#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/libwww-perl/.packlist
-#usr/lib/perl5/site_perl/5.32.1/lwpcook.pod
-#usr/lib/perl5/site_perl/5.32.1/lwptut.pod
-#usr/share/man/man3/Bundle::LWP.3
-#usr/share/man/man3/File::Listing.3
-#usr/share/man/man3/HTML::Form.3
-#usr/share/man/man3/HTTP::Cookies.3
-#usr/share/man/man3/HTTP::Cookies::Microsoft.3
-#usr/share/man/man3/HTTP::Cookies::Netscape.3
-#usr/share/man/man3/HTTP::Daemon.3
-#usr/share/man/man3/HTTP::Date.3
-#usr/share/man/man3/HTTP::Headers.3
-#usr/share/man/man3/HTTP::Headers::Util.3
-#usr/share/man/man3/HTTP::Message.3
-#usr/share/man/man3/HTTP::Negotiate.3
-#usr/share/man/man3/HTTP::Request.3
-#usr/share/man/man3/HTTP::Request::Common.3
-#usr/share/man/man3/HTTP::Response.3
-#usr/share/man/man3/HTTP::Status.3
-#usr/share/man/man3/LWP.3
-#usr/share/man/man3/LWP::Authen::Ntlm.3
-#usr/share/man/man3/LWP::ConnCache.3
-#usr/share/man/man3/LWP::Debug.3
-#usr/share/man/man3/LWP::DebugFile.3
-#usr/share/man/man3/LWP::MediaTypes.3
-#usr/share/man/man3/LWP::MemberMixin.3
-#usr/share/man/man3/LWP::Protocol.3
-#usr/share/man/man3/LWP::RobotUA.3
-#usr/share/man/man3/LWP::Simple.3
-#usr/share/man/man3/LWP::UserAgent.3
-#usr/share/man/man3/Net::HTTP.3
-#usr/share/man/man3/Net::HTTP::NB.3
-#usr/share/man/man3/WWW::RobotRules.3
-#usr/share/man/man3/WWW::RobotRules::AnyDBM_File.3
-#usr/share/man/man3/lwpcook.3
-#usr/share/man/man3/lwptut.3
diff --git a/config/rootfiles/common/perl-libwww b/config/rootfiles/common/perl-libwww
new file mode 100644
index 000000000..fc275a81f
--- /dev/null
+++ b/config/rootfiles/common/perl-libwww
@@ -0,0 +1,44 @@
+#usr/lib/perl5/site_perl/5.32.1/LWP
+usr/lib/perl5/site_perl/5.32.1/LWP.pm
+#usr/lib/perl5/site_perl/5.32.1/LWP/Authen
+usr/lib/perl5/site_perl/5.32.1/LWP/Authen/Basic.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Authen/Digest.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Authen/Ntlm.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/ConnCache.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Debug
+usr/lib/perl5/site_perl/5.32.1/LWP/Debug.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Debug/TraceHTTP.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/DebugFile.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/MemberMixin.pm
+#usr/lib/perl5/site_perl/5.32.1/LWP/Protocol
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/cpan.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/data.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/file.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/ftp.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/gopher.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/http.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/loopback.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/mailto.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/nntp.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Protocol/nogo.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/RobotUA.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/Simple.pm
+usr/lib/perl5/site_perl/5.32.1/LWP/UserAgent.pm
+#usr/lib/perl5/site_perl/5.32.1/libwww
+usr/lib/perl5/site_perl/5.32.1/libwww/lwpcook.pod
+usr/lib/perl5/site_perl/5.32.1/libwww/lwptut.pod
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/libwww
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/libwww/perl
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/libwww/perl/.packlist
+#usr/share/man/man3/LWP.3
+#usr/share/man/man3/LWP::Authen::Ntlm.3
+#usr/share/man/man3/LWP::ConnCache.3
+#usr/share/man/man3/LWP::Debug.3
+#usr/share/man/man3/LWP::MemberMixin.3
+#usr/share/man/man3/LWP::Protocol.3
+#usr/share/man/man3/LWP::RobotUA.3
+#usr/share/man/man3/LWP::Simple.3
+#usr/share/man/man3/LWP::UserAgent.3
+#usr/share/man/man3/libwww::lwpcook.3
+#usr/share/man/man3/libwww::lwptut.3
diff --git a/lfs/libwww-perl b/lfs/perl-libwww
similarity index 97%
rename from lfs/libwww-perl
rename to lfs/perl-libwww
index 536a49769..f6811fc5a 100644
--- a/lfs/libwww-perl
+++ b/lfs/perl-libwww
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 5.803
+VER        = 6.60
 
 THISAPP    = libwww-perl-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 3345d5f15a4f42350847254141725c8f
+$(DL_FILE)_MD5 = ce5180358d9279b2843a6518bf2de200
 
 install : $(TARGET)
 
diff --git a/make.sh b/make.sh
index e6f948ba0..55643ee0e 100755
--- a/make.sh
+++ b/make.sh
@@ -1318,7 +1318,7 @@ buildipfire() {
   lfsmake2 Digest
   lfsmake2 Digest-SHA1
   lfsmake2 Digest-HMAC
-  lfsmake2 libwww-perl
+  lfsmake2 perl-libwww
   lfsmake2 Net-DNS
   lfsmake2 Net-IPv4Addr
   lfsmake2 Net_SSLeay