diff --git a/config/rootfiles/common/perl-HTTP-Message b/config/rootfiles/common/perl-HTTP-Message
new file mode 100644
index 000000000..d52b1dea1
--- /dev/null
+++ b/config/rootfiles/common/perl-HTTP-Message
@@ -0,0 +1,26 @@
+#usr/lib/perl5/site_perl/5.32.1/HTTP
+usr/lib/perl5/site_perl/5.32.1/HTTP/Config.pm
+#usr/lib/perl5/site_perl/5.32.1/HTTP/Headers
+usr/lib/perl5/site_perl/5.32.1/HTTP/Headers.pm
+usr/lib/perl5/site_perl/5.32.1/HTTP/Headers/Auth.pm
+usr/lib/perl5/site_perl/5.32.1/HTTP/Headers/ETag.pm
+usr/lib/perl5/site_perl/5.32.1/HTTP/Headers/Util.pm
+usr/lib/perl5/site_perl/5.32.1/HTTP/Message.pm
+#usr/lib/perl5/site_perl/5.32.1/HTTP/Request
+usr/lib/perl5/site_perl/5.32.1/HTTP/Request.pm
+usr/lib/perl5/site_perl/5.32.1/HTTP/Request/Common.pm
+usr/lib/perl5/site_perl/5.32.1/HTTP/Response.pm
+usr/lib/perl5/site_perl/5.32.1/HTTP/Status.pm
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/HTTP
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/HTTP/Message
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/HTTP/Message/.packlist
+#usr/share/man/man3/HTTP::Config.3
+#usr/share/man/man3/HTTP::Headers.3
+#usr/share/man/man3/HTTP::Headers::Auth.3
+#usr/share/man/man3/HTTP::Headers::ETag.3
+#usr/share/man/man3/HTTP::Headers::Util.3
+#usr/share/man/man3/HTTP::Message.3
+#usr/share/man/man3/HTTP::Request.3
+#usr/share/man/man3/HTTP::Request::Common.3
+#usr/share/man/man3/HTTP::Response.3
+#usr/share/man/man3/HTTP::Status.3
diff --git a/lfs/perl-HTTP-Message b/lfs/perl-HTTP-Message
new file mode 100644
index 000000000..8fc6cc36c
--- /dev/null
+++ b/lfs/perl-HTTP-Message
@@ -0,0 +1,79 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2019  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+
+###############################################################################
+# Definitions
+###############################################################################
+include Config
+VER        = 6.36
+
+THISAPP    = HTTP-Message-$(VER)
+DL_FILE    = ${THISAPP}.tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = e847fb3e297e740080ab6fd1ac127f7f
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist:
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && perl Makefile.PL
+	cd $(DIR_APP) && make $(MAKETUNING) $(EXTRA_MAKE)
+	cd $(DIR_APP) && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 4ef9edb1f..3719ef233 100755
--- a/make.sh
+++ b/make.sh
@@ -1279,6 +1279,7 @@ buildipfire() {
   lfsmake2 perl-Parse-Yapp
   lfsmake2 perl-Data-UUID
   lfsmake2 perl-Try-Tiny
+  lfsmake2 perl-HTTP-Message
   lfsmake2 gnupg
   lfsmake2 hdparm
   lfsmake2 sdparm