diff --git a/config/rootfiles/packages/cups b/config/rootfiles/packages/cups
index f9d15bc8b..3974aa2a1 100644
--- a/config/rootfiles/packages/cups
+++ b/config/rootfiles/packages/cups
@@ -91,6 +91,7 @@ usr/lib/cups/notifier/rss
 usr/lib/libcups.so.2
 #usr/lib/libcupsimage.so
 usr/lib/libcupsimage.so.2
+#usr/lib/pkgconfig/cups.pc
 usr/sbin/cupsaccept
 usr/sbin/cupsctl
 usr/sbin/cupsd
@@ -102,6 +103,8 @@ usr/sbin/lpadmin
 usr/sbin/lpc
 usr/sbin/lpinfo
 usr/sbin/lpmove
+#usr/share/applications
+#usr/share/applications/cups.desktop
 usr/share/cups
 usr/share/cups/banners
 usr/share/cups/data
@@ -176,6 +179,7 @@ usr/share/cups/ipptool/print-job-hold.test
 usr/share/cups/ipptool/print-job-letter.test
 usr/share/cups/ipptool/print-job-manual.test
 usr/share/cups/ipptool/print-job-media-col.test
+usr/share/cups/ipptool/print-job-media-needed.test
 usr/share/cups/ipptool/print-job-password.test
 usr/share/cups/ipptool/print-job.test
 usr/share/cups/ipptool/print-uri.test
@@ -216,6 +220,72 @@ usr/share/cups/templates/class.tmpl
 usr/share/cups/templates/classes-header.tmpl
 usr/share/cups/templates/classes.tmpl
 usr/share/cups/templates/command.tmpl
+usr/share/cups/templates/da
+usr/share/cups/templates/da/add-class.tmpl
+usr/share/cups/templates/da/add-printer.tmpl
+usr/share/cups/templates/da/admin.tmpl
+usr/share/cups/templates/da/choose-device.tmpl
+usr/share/cups/templates/da/choose-make.tmpl
+usr/share/cups/templates/da/choose-model.tmpl
+usr/share/cups/templates/da/choose-serial.tmpl
+usr/share/cups/templates/da/choose-uri.tmpl
+usr/share/cups/templates/da/class-added.tmpl
+usr/share/cups/templates/da/class-confirm.tmpl
+usr/share/cups/templates/da/class-deleted.tmpl
+usr/share/cups/templates/da/class-jobs-header.tmpl
+usr/share/cups/templates/da/class-modified.tmpl
+usr/share/cups/templates/da/class.tmpl
+usr/share/cups/templates/da/classes-header.tmpl
+usr/share/cups/templates/da/classes.tmpl
+usr/share/cups/templates/da/command.tmpl
+usr/share/cups/templates/da/edit-config.tmpl
+usr/share/cups/templates/da/error-op.tmpl
+usr/share/cups/templates/da/error.tmpl
+usr/share/cups/templates/da/header.tmpl
+usr/share/cups/templates/da/help-header.tmpl
+usr/share/cups/templates/da/help-printable.tmpl
+usr/share/cups/templates/da/help-trailer.tmpl
+usr/share/cups/templates/da/job-cancel.tmpl
+usr/share/cups/templates/da/job-hold.tmpl
+usr/share/cups/templates/da/job-move.tmpl
+usr/share/cups/templates/da/job-moved.tmpl
+usr/share/cups/templates/da/job-release.tmpl
+usr/share/cups/templates/da/job-restart.tmpl
+usr/share/cups/templates/da/jobs-header.tmpl
+usr/share/cups/templates/da/jobs.tmpl
+usr/share/cups/templates/da/list-available-printers.tmpl
+usr/share/cups/templates/da/modify-class.tmpl
+usr/share/cups/templates/da/modify-printer.tmpl
+usr/share/cups/templates/da/norestart.tmpl
+usr/share/cups/templates/da/option-boolean.tmpl
+usr/share/cups/templates/da/option-conflict.tmpl
+usr/share/cups/templates/da/option-header.tmpl
+usr/share/cups/templates/da/option-pickmany.tmpl
+usr/share/cups/templates/da/option-pickone.tmpl
+usr/share/cups/templates/da/option-trailer.tmpl
+usr/share/cups/templates/da/pager.tmpl
+usr/share/cups/templates/da/printer-accept.tmpl
+usr/share/cups/templates/da/printer-added.tmpl
+usr/share/cups/templates/da/printer-cancel-jobs.tmpl
+usr/share/cups/templates/da/printer-configured.tmpl
+usr/share/cups/templates/da/printer-confirm.tmpl
+usr/share/cups/templates/da/printer-default.tmpl
+usr/share/cups/templates/da/printer-deleted.tmpl
+usr/share/cups/templates/da/printer-jobs-header.tmpl
+usr/share/cups/templates/da/printer-modified.tmpl
+usr/share/cups/templates/da/printer-reject.tmpl
+usr/share/cups/templates/da/printer-start.tmpl
+usr/share/cups/templates/da/printer-stop.tmpl
+usr/share/cups/templates/da/printer.tmpl
+usr/share/cups/templates/da/printers-header.tmpl
+usr/share/cups/templates/da/printers.tmpl
+usr/share/cups/templates/da/restart.tmpl
+usr/share/cups/templates/da/search.tmpl
+usr/share/cups/templates/da/set-printer-options-header.tmpl
+usr/share/cups/templates/da/set-printer-options-trailer.tmpl
+usr/share/cups/templates/da/test-page.tmpl
+usr/share/cups/templates/da/trailer.tmpl
+usr/share/cups/templates/da/users.tmpl
 usr/share/cups/templates/de
 usr/share/cups/templates/de/add-class.tmpl
 usr/share/cups/templates/de/add-printer.tmpl
@@ -666,17 +736,20 @@ usr/share/doc/cups
 usr/share/doc/cups/apple-touch-icon.png
 usr/share/doc/cups/cups-printable.css
 usr/share/doc/cups/cups.css
+usr/share/doc/cups/da
+usr/share/doc/cups/da/index.html
 usr/share/doc/cups/de
 usr/share/doc/cups/de/index.html
 usr/share/doc/cups/es
 usr/share/doc/cups/es/index.html
+usr/share/doc/cups/fr
+usr/share/doc/cups/fr/index.html
 usr/share/doc/cups/help
 usr/share/doc/cups/help/accounting.html
 usr/share/doc/cups/help/admin.html
 usr/share/doc/cups/help/api-admin.html
 usr/share/doc/cups/help/api-filter.html
 usr/share/doc/cups/help/api-ppd.html
-usr/share/doc/cups/help/api-raster.html
 usr/share/doc/cups/help/cgi.html
 usr/share/doc/cups/help/cupspm.html
 usr/share/doc/cups/help/encryption.html
@@ -745,22 +818,15 @@ usr/share/doc/cups/help/spec-raster.html
 usr/share/doc/cups/help/spec-stp.html
 usr/share/doc/cups/help/translation.html
 usr/share/doc/cups/images
-usr/share/doc/cups/images/color-wheel.png
 usr/share/doc/cups/images/cups-block-diagram.png
 usr/share/doc/cups/images/cups-command-chain.png
-usr/share/doc/cups/images/cups-icon.png
 usr/share/doc/cups/images/cups-postscript-chain.png
 usr/share/doc/cups/images/cups-raster-chain.png
 usr/share/doc/cups/images/cups.png
-usr/share/doc/cups/images/generic.png
-usr/share/doc/cups/images/left.gif
 usr/share/doc/cups/images/raster-organization.png
 usr/share/doc/cups/images/raster.png
-usr/share/doc/cups/images/right.gif
 usr/share/doc/cups/images/sample-image.png
-usr/share/doc/cups/images/sel.gif
 usr/share/doc/cups/images/smiley.jpg
-usr/share/doc/cups/images/unsel.gif
 usr/share/doc/cups/images/wait.gif
 usr/share/doc/cups/index.html
 usr/share/doc/cups/ja
@@ -770,8 +836,23 @@ usr/share/doc/cups/pt_BR/index.html
 usr/share/doc/cups/robots.txt
 usr/share/doc/cups/ru
 usr/share/doc/cups/ru/index.html
+usr/share/icons
+usr/share/icons/hicolor
+usr/share/icons/hicolor/128x128
+usr/share/icons/hicolor/128x128/apps
+usr/share/icons/hicolor/128x128/apps/cups.png
+usr/share/icons/hicolor/16x16
+usr/share/icons/hicolor/16x16/apps
+usr/share/icons/hicolor/16x16/apps/cups.png
+usr/share/icons/hicolor/32x32
+usr/share/icons/hicolor/32x32/apps
+usr/share/icons/hicolor/32x32/apps/cups.png
+usr/share/icons/hicolor/64x64
+usr/share/icons/hicolor/64x64/apps
+usr/share/icons/hicolor/64x64/apps/cups.png
 usr/share/locale/ca/cups_ca.po
 usr/share/locale/cs/cups_cs.po
+usr/share/locale/da/cups_da.po
 usr/share/locale/de/cups_de.po
 usr/share/locale/en
 usr/share/locale/en/cups_en.po
diff --git a/lfs/cups b/lfs/cups
index 99c9c8887..6210cd3b0 100644
--- a/lfs/cups
+++ b/lfs/cups
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 2.3.3op2
+VER        = 2.4.1
 
 THISAPP    = cups-$(VER)
 DL_FILE    = $(THISAPP)-source.tar.gz
@@ -32,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/cups-$(VER)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = cups
-PAK_VER    = 23
+PAK_VER    = 24
 
 DEPS       = avahi cups-filters dbus ghostscript krb5 libtiff
 
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 524266752cf243c968921547b18ee594
+$(DL_FILE)_MD5 = c2e5143d06f21e19ea2b73913185656f
 
 install : $(TARGET)
 