diff --git a/config/rootfiles/packages/python3-flit b/config/rootfiles/packages/python3-flit
new file mode 100644
index 000000000..ac483dddf
--- /dev/null
+++ b/config/rootfiles/packages/python3-flit
@@ -0,0 +1,106 @@
+usr/lib/python3.10/site-packages/flit_core
+#usr/lib/python3.10/site-packages/flit_core-3.6.0.dist-info
+#usr/lib/python3.10/site-packages/flit_core-3.6.0.dist-info/INSTALLER
+#usr/lib/python3.10/site-packages/flit_core-3.6.0.dist-info/METADATA
+#usr/lib/python3.10/site-packages/flit_core-3.6.0.dist-info/RECORD
+#usr/lib/python3.10/site-packages/flit_core-3.6.0.dist-info/REQUESTED
+#usr/lib/python3.10/site-packages/flit_core-3.6.0.dist-info/WHEEL
+#usr/lib/python3.10/site-packages/flit_core-3.6.0.dist-info/direct_url.json
+usr/lib/python3.10/site-packages/flit_core/__init__.py
+usr/lib/python3.10/site-packages/flit_core/buildapi.py
+usr/lib/python3.10/site-packages/flit_core/common.py
+usr/lib/python3.10/site-packages/flit_core/config.py
+usr/lib/python3.10/site-packages/flit_core/sdist.py
+#usr/lib/python3.10/site-packages/flit_core/tests
+#usr/lib/python3.10/site-packages/flit_core/tests/__init__.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/EG_README.rst
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/bad-description-ext.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/conflicting_modules
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/conflicting_modules/module1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/conflicting_modules/pyproject.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/conflicting_modules/src
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/conflicting_modules/src/module1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/constructed_version
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/constructed_version/module1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/constructed_version/pyproject.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/extras-dev-conflict.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/extras.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/LICENSES
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/LICENSES/README
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/doc
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/doc/subdir
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/doc/subdir/test.txt
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/doc/test.rst
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/doc/test.txt
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/module1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/inclusion/pyproject.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/invalid_version1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/missing-description-file.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/misspelled-key.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/module1-pkg.ini
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/module1-pkg.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/module1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/module2.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/moduleunimportable.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/my-description.rst
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/no_docstring-pkg.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/no_docstring.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/ns1-pkg
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/ns1-pkg/EG_README.rst
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/ns1-pkg/ns1
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/ns1-pkg/ns1/pkg
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/ns1-pkg/ns1/pkg/__init__.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/ns1-pkg/pyproject.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/__init__.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/data_dir
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/data_dir/foo.sh
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/foo.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/subpkg
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/subpkg/__init__.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/subpkg/sp_data_dir
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/subpkg/sp_data_dir/test.json
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/subpkg2
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/package1/subpkg2/__init__.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep517
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep517/LICENSE
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep517/README.rst
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep517/module1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep517/pyproject.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621/LICENSE
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621/README.rst
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621/module1a.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621/pyproject.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621_nodynamic
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621_nodynamic/README.rst
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621_nodynamic/module1.py
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/pep621_nodynamic/pyproject.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/requires-dev.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/requires-envmark.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/requires-extra-envmark.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/samples/requires-requests.toml
+#usr/lib/python3.10/site-packages/flit_core/tests/test_build_thyself.py
+#usr/lib/python3.10/site-packages/flit_core/tests/test_buildapi.py
+#usr/lib/python3.10/site-packages/flit_core/tests/test_common.py
+#usr/lib/python3.10/site-packages/flit_core/tests/test_config.py
+#usr/lib/python3.10/site-packages/flit_core/tests/test_sdist.py
+#usr/lib/python3.10/site-packages/flit_core/tests/test_versionno.py
+#usr/lib/python3.10/site-packages/flit_core/tests/test_wheel.py
+usr/lib/python3.10/site-packages/flit_core/vendor
+usr/lib/python3.10/site-packages/flit_core/vendor/README
+usr/lib/python3.10/site-packages/flit_core/vendor/__init__.py
+usr/lib/python3.10/site-packages/flit_core/vendor/tomli
+#usr/lib/python3.10/site-packages/flit_core/vendor/tomli-1.2.3.dist-info
+#usr/lib/python3.10/site-packages/flit_core/vendor/tomli-1.2.3.dist-info/LICENSE
+#usr/lib/python3.10/site-packages/flit_core/vendor/tomli-1.2.3.dist-info/METADATA
+usr/lib/python3.10/site-packages/flit_core/vendor/tomli/__init__.py
+usr/lib/python3.10/site-packages/flit_core/vendor/tomli/_parser.py
+usr/lib/python3.10/site-packages/flit_core/vendor/tomli/_re.py
+usr/lib/python3.10/site-packages/flit_core/vendor/tomli/_types.py
+usr/lib/python3.10/site-packages/flit_core/vendor/tomli/py.typed
+usr/lib/python3.10/site-packages/flit_core/versionno.py
+usr/lib/python3.10/site-packages/flit_core/wheel.py
diff --git a/lfs/python3-flit b/lfs/python3-flit
new file mode 100644
index 000000000..6e87509d9
--- /dev/null
+++ b/lfs/python3-flit
@@ -0,0 +1,83 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 3.6.0
+
+THISAPP    = flit-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = python3-flit
+PAK_VER    = 1
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = a24dad673b38b369722f574500ac1933
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP)/flit_core && python3 build_dists.py
+	cd $(DIR_APP) && PYTHONPATH=flit_core python3 -m flit build --format wheel
+	cd $(DIR_APP)/flit_core && PIP_CONFIG_FILE=/dev/null pip3 install --isolated \
+		--root="/" --ignore-installed --no-deps dist/*.whl
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 5296ca21c..8ea526ab4 100755
--- a/make.sh
+++ b/make.sh
@@ -1615,6 +1615,7 @@ buildipfire() {
   lfsmake2 python3-toml
   lfsmake2 python3-pyproject2setuppy
   lfsmake2 python3-tomli
+  lfsmake2 python3-flit
   lfsmake2 python3-typing-extensions
   lfsmake2 python3-semantic-version
   lfsmake2 python3-packaging