diff --git a/config/rootfiles/packages/python3-charset-normalizer b/config/rootfiles/packages/python3-charset-normalizer
new file mode 100644
index 000000000..8c754ad65
--- /dev/null
+++ b/config/rootfiles/packages/python3-charset-normalizer
@@ -0,0 +1,24 @@
+usr/bin/normalizer
+usr/lib/python3.10/site-packages/charset_normalizer
+#usr/lib/python3.10/site-packages/charset_normalizer-2.0.10-py3.10.egg-info
+#usr/lib/python3.10/site-packages/charset_normalizer-2.0.10-py3.10.egg-info/PKG-INFO
+#usr/lib/python3.10/site-packages/charset_normalizer-2.0.10-py3.10.egg-info/SOURCES.txt
+#usr/lib/python3.10/site-packages/charset_normalizer-2.0.10-py3.10.egg-info/dependency_links.txt
+#usr/lib/python3.10/site-packages/charset_normalizer-2.0.10-py3.10.egg-info/entry_points.txt
+#usr/lib/python3.10/site-packages/charset_normalizer-2.0.10-py3.10.egg-info/requires.txt
+#usr/lib/python3.10/site-packages/charset_normalizer-2.0.10-py3.10.egg-info/top_level.txt
+usr/lib/python3.10/site-packages/charset_normalizer/__init__.py
+usr/lib/python3.10/site-packages/charset_normalizer/api.py
+usr/lib/python3.10/site-packages/charset_normalizer/assets
+usr/lib/python3.10/site-packages/charset_normalizer/assets/__init__.py
+usr/lib/python3.10/site-packages/charset_normalizer/cd.py
+usr/lib/python3.10/site-packages/charset_normalizer/cli
+usr/lib/python3.10/site-packages/charset_normalizer/cli/__init__.py
+usr/lib/python3.10/site-packages/charset_normalizer/cli/normalizer.py
+usr/lib/python3.10/site-packages/charset_normalizer/constant.py
+usr/lib/python3.10/site-packages/charset_normalizer/legacy.py
+usr/lib/python3.10/site-packages/charset_normalizer/md.py
+usr/lib/python3.10/site-packages/charset_normalizer/models.py
+usr/lib/python3.10/site-packages/charset_normalizer/py.typed
+usr/lib/python3.10/site-packages/charset_normalizer/utils.py
+usr/lib/python3.10/site-packages/charset_normalizer/version.py
diff --git a/lfs/python3-charset-normalizer b/lfs/python3-charset-normalizer
new file mode 100644
index 000000000..f685520d2
--- /dev/null
+++ b/lfs/python3-charset-normalizer
@@ -0,0 +1,83 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 2.0.10
+
+THISAPP    = charset_normalizer-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = python3-charset-normalizer
+PAK_VER    = 1
+
+DEPS       =
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = a2fb1cfe7f8448e5845e1803f734e766
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && python3 setup.py build
+	cd $(DIR_APP) && python3 setup.py install --root=/
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index fb1fc4812..0885d6b8d 100755
--- a/make.sh
+++ b/make.sh
@@ -1608,6 +1608,7 @@ buildipfire() {
   lfsmake2 wireless-regdb
   lfsmake2 libsolv
   lfsmake2 ddns
+  lfsmake2 python3-charset-normalizer
   lfsmake2 python3-toml
   lfsmake2 python3-pyproject2setuppy
   lfsmake2 python3-tomli